#include<iostream>
#include<string>
#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b,c,maks,mini,sred;
    string a1,b1,c1;
    cin>>a>>b>>c;
    maks=max(a,max(b,c));
    mini=min(a,min(b,c));
    if ((a>=mini) && (a<=maks))
        sred=a;
    else if ((b>=mini) && (b<=maks))
        sred=b;
    else
        sred=c;
    a1=to_string(maks);
    b1=to_string(sred);
    c1=to_string(mini);
    cout<<a1+b1+c1;
}